Package org.drinkless.tdlib

# Class TdApi.StoryAreaTypeWeather

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryAreaType
org.drinkless.tdlib.TdApi.StoryAreaTypeWeather

Enclosing class:
  `TdApi`

public static class TdApi.StoryAreaTypeWeather extends TdApi.StoryAreaType
An area with information about weather.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StoryAreaType

  `TdApi.StoryAreaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `backgroundColor`
  A color of the area background in the ARGB format.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emoji`
  Emoji representing the weather.
  `double`
  `temperature`
  Temperature, in degree Celsius.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryAreaTypeWeather()`
  An area with information about weather.
  `StoryAreaTypeWeather(double temperature, String emoji, int backgroundColor)`
  An area with information about weather.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### temperature

    public double temperature
    Temperature, in degree Celsius.

  - ### emoji

    public String emoji
    Emoji representing the weather.

  - ### backgroundColor

    public int backgroundColor
    A color of the area background in the ARGB format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryAreaTypeWeather

    public StoryAreaTypeWeather()
    An area with information about weather.

  - ### StoryAreaTypeWeather

    public StoryAreaTypeWeather(double temperature, String emoji, int backgroundColor)
    An area with information about weather.
    Parameters:
      `temperature` - Temperature, in degree Celsius.
      `emoji` - Emoji representing the weather.
      `backgroundColor` - A color of the area background in the ARGB format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StoryAreaType`
    Returns:
      this.CONSTRUCTOR